Upgrade Avidemux package to the latest upstream release (2.6.x)

Bug #793581 reported by Alessio Treglia on 2011-06-06
194
This bug affects 30 people
Affects Status Importance Assigned to Milestone
Baltix
Medium
Mantas Kriaučiūnas
Debian
New
Unknown
avidemux (Ubuntu)
Wishlist
Unassigned
Changed in avidemux (Ubuntu):
importance: Undecided → Wishlist
assignee: nobody → Alessio Treglia (quadrispro)
status: New → In Progress
Alex (chewytree) on 2011-06-30
tags: added: upgrade-software-version
summary: - New upstream release 2.5.5
+ [Need Packaging] New upstream release 2.5.5

Any news on the subject?

Since avidemux has been removed from Oneiric this would be very, very welcome...

Dietmar Winkler (dietmarw) wrote :

@Alessandro: Avidemux was not removed as such but simply had build problems up to today. Just now a fix was released to oneiric-proposed and if things go well it will hit the updates and some point. You can follow the status of that in Bug #831096

Alessandro Polverini (polve) wrote :

@Dietmar: thank you for the update, I already installed the newly released build.
Packaging of the new release will be very welcome anyway :)

Bob Bib (bobbib) on 2012-01-11
summary: - [Need Packaging] New upstream release 2.5.5
+ [Need Packaging] New upstream release 2.5.6
Bob Bib (bobbib) on 2012-06-13
description: updated
tags: added: quantal
summary: - [Need Packaging] New upstream release 2.5.6
+ [Needs Packaging] New upstream release 2.5.6

The package uploaded in Quantal is very outdated from the upstream one. The 2.5.4 version was released in 2010-11-1. The package version has been the same since Lucid. The latest version should be uploaded. http://sourceforge.net/projects/avidemux/files/avidemux/

Davide Capodaglio (davidecapod) wrote :

Avidemux 2.5.6 is currently available in GetDeb (and I am using it successfully), so I think that there are no particular issues or dependancies in upgrading it in Ubuntu!

Alessandro Polverini (polve) wrote :

I second the petition, please update the package!

Papamatti (matti-lx) wrote :

Request for packaging Avidemux 2.5.6 from me, too.

Sasa Paporovic (melchiaros) wrote :

@ Allesio Treglia

I have seen that you have assigned on 2011-06-06.

Any progress?

If not it is good practice to unassign.

Bob Bib (bobbib) wrote :

That's a pity Avidemux is not in Debian archives yet (otherwise it would get auto-synced in Ubuntu): http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=203211
---
As for now, the easiest way to get fresh Avidemux in Ubuntu is GetDeb: http://www.getdeb.net/software/Avidemux

Nate Muench (Mink) (n-muench) wrote :

They are up to 2.6.0 now, changing title.

summary: - [Needs Packaging] New upstream release 2.5.6
+ [Needs Packaging] New upstream release 2.6.0

Nate Muench (Mink) (n-muench) ,
> They are up to 2.6.0 now, changing title.
Great news anyway.

description: updated
Amr Ibrahim (amribrahim1987) wrote :

The title should be "Update package to the latest release". That's it!

Bob Bib (bobbib) on 2012-09-19
tags: added: needs-packaging precise
Changed in debian:
status: Unknown → New
summary: - [Needs Packaging] New upstream release 2.6.0
+ Update Avidemux package to the latest upstream stable release 2.6.0

No signs of progress here...

Changed in avidemux (Ubuntu):
assignee: Alessio Treglia (quadrispro) → nobody
status: In Progress → Confirmed
Changed in baltix:
status: New → Triaged
assignee: nobody → Mantas Kriaučiūnas (mantas)
importance: Undecided → Medium
Nate Muench (Mink) (n-muench) wrote :

Now at 2.6.1, changing title

summary: - Update Avidemux package to the latest upstream stable release 2.6.0
+ Update Avidemux package to the latest upstream stable release 2.6.1
tags: added: raring
description: updated
Bob Bib (bobbib) on 2012-12-21
description: updated
summary: - Update Avidemux package to the latest upstream stable release 2.6.1
+ Upgrade Avidemux package to the latest upstream release (2.6.1)

avidemux 2.5.4 is almost unusable on Precise. Please see bug 1105045.

summary: - Upgrade Avidemux package to the latest upstream release (2.6.1)
+ Upgrade Avidemux package to the latest upstream release (2.6.3)

I've found latest Avidemux 2.6.3 version for Ubuntu 12.x packaged in getdeb.net repository:

http://www.getdeb.net/updates/Ubuntu/12.04/?category=Video%20Tools

Could someone test this Avidemux 2.6.3 package?

Bob Bib (bobbib) wrote :

Some more news: according to Avidemux Forums,
Avidemux 2.6.x GTK interface is quite buggy:
http://www.avidemux.org/smf/index.php/topic,11641.0.html
http://www.avidemux.org/smf/index.php/topic,11907.0.html

Uwe Koziolek (uwe-koziolek) wrote :

I have tried to make an debian style build of AVIdemux. It works well. Only the QT-Version was tested.
Maybe it helps for an official build. So I'm attaching the diff-file.

Uwe Koziolek:
> I have tried to make an debian style build of AVIdemux. It works well. Only the QT-Version was tested.
> Maybe it helps for an official build. So I'm attaching the diff-file.
>
>
> ** Patch added: "Diff file for avidemux 2.6.3, ubuntu 13.04"

You've probably forgotten to tell us what you've taken as a source
to make that diff :)

The file avidemux_2.6.3.tar.gz was used with the diff-file, renamed to avidemux_2.6.3.orig.tar.gz.

Logan Rosen (logan) on 2013-06-08
Changed in avidemux (Ubuntu):
status: Confirmed → Triaged
moray33 (moray33) wrote :

The latest version now is 2.6.4

Bob Bib (bobbib) on 2013-06-08
description: updated
tags: added: saucy
summary: - Upgrade Avidemux package to the latest upstream release (2.6.3)
+ Upgrade Avidemux package to the latest upstrem release (2.6.x)
Download full text (4.9 KiB)

Avidemux 2.6.7-1 crashes using GTK+ interface, and malfunctions if you use Qt or commandline interface. Messages from GTK+ version :
*************************
  Avidemux v
*************************
 http://www.avidemux.org
 Code : Mean, JSC, Grant Pedersen
 GFX : Nestor Di, <email address hidden>
 Design : Jakub Misak
 FreeBSD : Anish Mistry, <email address hidden>
 Audio : Mihail Zenkov
 Mac OS X : Kuisathaverat, Harry van der Wolf
 Win32 : Grant Pedersen

Compiler: GCC 4.8.1
Build Target: Linux (x86-64)
User Interface: GTK+ (3.10.6)

Large file available: 1 offset
Time: Sat Dec 28 14:52:23 2013

0: avidemux

Initialising prefs
 [load] Loading prefs from /home/erkinalp/.avidemux6/config2
  [load] Preferences found and loaded
 [cpuCaps]Checking CPU capabilities
  MMX detected
  MMXEXT detected
  SSE detected
  SSE2 detected
  SSE3 detected
  SSSE3 detected
[cpuCaps]End of CPU capabilities check (cpuMask :ffffffff, cpuCaps :1e6)

[SDL] Version: 1.2.15
[SDL] Initialisation succeeded
[SDL] Video Driver: x11

[Locale] setlocale tr_TR.UTF-8
[Locale] Textdomain was messages
[Locale] Textdomain is now avidemux
[Locale] Test: _Dosya

[Gtk] Entering gtk_init
Initializing Dithering tables
[COREUI] Compiled with 01.00.00
[COREUI] Linked with 01.00.00
[CoreUI] Compiled with patch version 0, using 0
[UI Toolkit] Running version 01:03
[Script] Scanning directory /usr/lib/ADM_plugins6/scriptEngines/
[Script] SpiderMonkey INFO - Registered Debug functions
[Script] SpiderMonkey INFO - Registered Test functions
[Script] SpiderMonkey INFO - Registered DialogFactory classes
[Script] SpiderMonkey INFO - Spidermonkey initialised
[Script] Tinypy INFO - Registering group addons
[Script] Tinypy INFO - Registering: help
[Script] Tinypy INFO - Registering: get_folder_content
[Script] Tinypy INFO - Registering: get_file_size
[Script] Tinypy INFO - Registering: basename
[Script] Tinypy INFO - Registering: dirname
[Script] Tinypy INFO - Registering class: Avidemux
[Script] Tinypy INFO - Registering class: Editor
[Script] Tinypy INFO - Registering class: Gui
[Script] Tinypy INFO - Registering class: DFToggle
[Script] Tinypy INFO - Registering class: DFInteger
[Script] Tinypy INFO - Registering class: DFMenu
[Script] Tinypy INFO - Registering class: DFTimeStamp
[Script] Tinypy INFO - Registering class: DialogFactory
[Script] Tinypy INFO - Registering group test
[Script] Tinypy INFO - Registering: testAssert
[Script] Tinypy INFO - Registering: testCrash
[Script] Tinypy INFO - Python initialised
Trying :</usr/lib/ADM_glade//main/gtk2_build.gtkBuilder>
Fontconfig error: "/etc/fonts/conf.d/65-khmer.conf", line 14: out of memory
Fontconfig error: "/etc/fonts/conf.d/65-khmer.conf", line 23: out of memory
Fontconfig error: "/etc/fonts/conf.d/65-khmer.conf", line 32: out of memory

(avidemux:10216): Gtk-WARNING **: Unknown property: GtkGrid.n-columns

(avidemux:10216): Gtk-WARNING **: Unknown property: GtkGrid.n-rows

(avidemux:10216): Gtk-WARNING **: Unknown property: GtkGrid.n-columns
[admGlade] Cannot locate widget jogg

(avidemux:10216): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(avidemux:10216): GLib-GObject-CRITICAL **: g_s...

Read more...

Mantas Kriaučiūnas (mantas) wrote :

I've found latest Avidemux 2.6.7 version for Ubuntu 12.x and 13.x packaged in ppa:rebuntu16/avidemux+unofficial repository:

https://launchpad.net/~rebuntu16/+archive/avidemux+unofficial
(apt-add-repository ppa:rebuntu16/avidemux+unofficial )

Could someone test this Avidemux 2.6.7 package?

Download full text (5.1 KiB)

Hi,

I have tested 2.6.7 package on my Ubuntu 13.10 amd64 and everytime I got this error:

Directory /home/krzysiek/.avidemux6/ exists.Good.
Using /home/krzysiek/.avidemux6/ as base directory for prefs, jobs, etc.
*************************
  Avidemux v
*************************
 http://www.avidemux.org
 Code : Mean, JSC, Grant Pedersen
 GFX : Nestor Di, <email address hidden>
 Design : Jakub Misak
 FreeBSD : Anish Mistry, <email address hidden>
 Audio : Mihail Zenkov
 Mac OS X : Kuisathaverat, Harry van der Wolf
 Win32 : Grant Pedersen

Compiler: GCC 4.8.1
Build Target: Linux (x86-64)
User Interface: GTK+ (3.8.6)

Large file available: 1 offset
Time: Wed Mar 5 14:11:42 2014

0: avidemux

Initialising prefs
 [load] Loading prefs from /home/krzysiek/.avidemux6/config2
  [load] can't read /home/krzysiek/.avidemux6/config2
 [cpuCaps]Checking CPU capabilities
  MMX detected
  MMXEXT detected
  SSE detected
  SSE2 detected
  SSE3 detected
  SSSE3 detected
[cpuCaps]End of CPU capabilities check (cpuMask :ffffffff, cpuCaps :1e6)

[SDL] Version: 1.2.15
[SDL] Initialisation succeeded
[SDL] Video Driver: x11

[Locale] setlocale pl_PL.UTF-8
[Locale] Textdomain was messages
[Locale] Textdomain is now avidemux
[Locale] Test: _File

[Gtk] Entering gtk_init

** (avidemux:19422): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Initializing Dithering tables
[COREUI] Compiled with 01.00.00
[COREUI] Linked with 01.00.00
[CoreUI] Compiled with patch version 0, using 0
[UI Toolkit] Running version 01:03
[Script] Scanning directory /usr/lib/ADM_plugins6/scriptEngines/
[Script] SpiderMonkey INFO - Registered Debug functions
[Script] SpiderMonkey INFO - Registered Test functions
[Script] SpiderMonkey INFO - Registered DialogFactory classes
[Script] SpiderMonkey INFO - Spidermonkey initialised
[Script] QtScript INFO - Initialised
[Script] Tinypy INFO - Registering group addons
[Script] Tinypy INFO - Registering: help
[Script] Tinypy INFO - Registering: get_folder_content
[Script] Tinypy INFO - Registering: get_file_size
[Script] Tinypy INFO - Registering: basename
[Script] Tinypy INFO - Registering: dirname
[Script] Tinypy INFO - Registering class: Avidemux
[Script] Tinypy INFO - Registering class: Editor
[Script] Tinypy INFO - Registering class: Gui
[Script] Tinypy INFO - Registering class: DFToggle
[Script] Tinypy INFO - Registering class: DFInteger
[Script] Tinypy INFO - Registering class: DFMenu
[Script] Tinypy INFO - Registering class: DFTimeStamp
[Script] Tinypy INFO - Registering class: DialogFactory
[Script] Tinypy INFO - Registering group test
[Script] Tinypy INFO - Registering: testAssert
[Script] Tinypy INFO - Registering: testCrash
[Script] Tinypy INFO - Python initialised
Trying :</usr/lib/ADM_glade//main/gtk2_build.gtkBuilder>

(avidemux:19422): Gtk-WARNING **: Unknown property: GtkGrid.n-columns

(avidemux:19422): Gtk-WARNING **: Unknown property: GtkGrid.n-rows

(avidemux:19422): Gtk-WARNING **: Unknow...

Read more...

Bernhard (baumber) wrote :

Latest version is 2.6.8

http://avidemux.sourceforge.net/news.html

Any news, if it will be packaged in trusty ?

tags: added: trusty
summary: - Upgrade Avidemux package to the latest upstrem release (2.6.x)
+ Upgrade Avidemux package to the latest upstream release (2.6.x)
sunweb (sunweb) wrote :

Is it because of ffmpeg vs libav problem again? Or simply because "The GTK+ user interface does not work. The developers are currently focusing on the QT4 one."?
You can have avidemux-gtk 2.5.4 and avidemux-qt 2.6.8 OR even avidemux(installs 2.5.x) and avidemux2.6(installs 2.6.x)

tags: removed: quantal raring
tags: added: vivid wily
removed: saucy
Mantas Kriaučiūnas (mantas) wrote :

I've found recent Avidemux version at ppa:centrych/updates repository, see:

https://launchpad.net/~centrych/+archive/ubuntu/updates

Could someone test Avidemux-gtk and avidemux-qt 2.6.10 from ppa:centrych/updates ?

There's 2.6.11 also on getdeb.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.